curl --request GET \
--url https://quark.bot/api/servers/{guild_id}/config/logging/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://quark.bot/api/servers/{guild_id}/config/logging/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://quark.bot/api/servers/{guild_id}/config/logging/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://quark.bot/api/servers/{guild_id}/config/logging/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://quark.bot/api/servers/{guild_id}/config/logging/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://quark.bot/api/servers/{guild_id}/config/logging/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://quark.bot/api/servers/{guild_id}/config/logging/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "301655085954367490",
"spoilers": 0,
"format_type": 0,
"ignore_bot_targets": 0,
"ignore_bot_executors": 0,
"active_ignore": 0,
"buttons": 123,
"pluralkit_integration": 0,
"pro_promotions": 0,
"modlog_lock_after": 15768000,
"log_name": "<string>",
"log_avatar": 0,
"log_avatar_ref": "<string>",
"log_profile_overrides": {}
}
]{}{}{}{}Get logging options
Returns the server-wide logging options.
curl --request GET \
--url https://quark.bot/api/servers/{guild_id}/config/logging/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://quark.bot/api/servers/{guild_id}/config/logging/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://quark.bot/api/servers/{guild_id}/config/logging/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://quark.bot/api/servers/{guild_id}/config/logging/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://quark.bot/api/servers/{guild_id}/config/logging/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://quark.bot/api/servers/{guild_id}/config/logging/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://quark.bot/api/servers/{guild_id}/config/logging/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "301655085954367490",
"spoilers": 0,
"format_type": 0,
"ignore_bot_targets": 0,
"ignore_bot_executors": 0,
"active_ignore": 0,
"buttons": 123,
"pluralkit_integration": 0,
"pro_promotions": 0,
"modlog_lock_after": 15768000,
"log_name": "<string>",
"log_avatar": 0,
"log_avatar_ref": "<string>",
"log_profile_overrides": {}
}
]{}{}{}{}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The server's ID. Must be the server the token was created for.
^\d{17,20}$"301655085954367490"
Query Parameters
Set to pro to act on the Quark Pro bot's configuration. Leave out for the main Quark bot.
pro Response
One row.
The server ID.
^\d{17,20}$"301655085954367490"
1 if re-posted files are marked as spoilers.
0, 1 Log format. 0 is Standard, 1 is Compact, 2 is Standard (no embed), 3 is Compact (no embed). A format the server built and has in use is not shown here.
0, 1, 2, 3 1 if actions done to bots are not logged.
0, 1 1 if actions done by bots are not logged.
0, 1 1 if Active Ignore is on for every log type. See the Active Ignore endpoints.
0, 1 Bitfield of the standard buttons shown on logs. 1 is User ID, 2 is Support Server, 4 is Customise.
1 if PluralKit compatibility is on.
0, 1 1 if logs may include a note when part of a log needs Quark Pro.
0, 1 How long a modlog's reason can be edited, in seconds after the modlog was posted. null means always editable. 0 means never editable.
0 <= x <= 31536000The name logs are posted under. null for Quark's name. Only used on Quark Pro or Pro Lite.
1 when the avatar is the server's icon, otherwise 0 or null. See log_avatar_ref for the avatar itself.
0, 1, null The avatar logs are posted under, as log_avatar takes it on PATCH: "quark", "icon", "emoji:", "role:" or "preset:". null when it was never set, in which case log_avatar says. Only used on Quark Pro or Pro Lite.
Each log channel's own name and avatar, keyed by channel ID. May be returned as JSON text.
Was this page helpful?

